Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class Authentication

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.Authentication

public class Authentication
extends java.lang.Object

Authentication details can be configured using this class. Details include ...

1. `authType` : Authentication type which can be either `` basic for basic authentication or `externalApp` for form based authentication.
2. `errorPageMessages` : Error Messages to be searched by URLSecurityManager to find out if the user is authorized to view the content.

Remaining authentication details are directly read from portal's external application.

Constructor Summary
`Authentication()`

Method Summary
`java.lang.String` | `getAuthType()` Get method for authType tag in provider.xml
`java.util.Vector` | `getErrorPageMessages()` Returns the error messages which can be used to see if the login is successful or not.
`void` | `setAuthType(java.lang.String authType)` Set method for authType tag in provider.xml Valid authentication types are none : Indicates no authentication is required. basic : Indicates BASIC Mode of authentication should be used. externalApp : Indicates FORM based authentiaction should be used.
`void` | `setErrorPageMessages(java.lang.String mesg)` Sets the error message string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authentication

    public Authentication()

Method Detail

### getAuthType

    public java.lang.String getAuthType()

  Get method for authType tag in provider.xml
  Returns:
    String value of authType tag.

### setAuthType

    public void setAuthType(java.lang.String authType)

  Set method for authType tag in provider.xml Valid authentication types are
  - none : Indicates no authentication is required.
  - basic : Indicates BASIC Mode of authentication should be used.
  - externalApp : Indicates FORM based authentiaction should be used.

  Authentication details needed are fetched from portal's external application. For more details see articles on External Applications in portalstudio.

  Parameters:
    `authType` - Type of authentication needed.

### getErrorPageMessages

    public java.util.Vector getErrorPageMessages()

  Returns the error messages which can be used to see if the login is successful or not.
  Returns:
    Vector error messages. If none present, returns null.

### setErrorPageMessages

    public void setErrorPageMessages(java.lang.String mesg)

  Sets the error message string. These messages are searched by URLSecurity Manager in order to determine if the user is authorized or not.

  For example if the user provides wrong username/password, Yahoo login applicaiton displays Invalid User (or) Invalid password etc., Such type of strings can be specified for the `errorPageMessages` tag, seperated by commas (',')

  Parameters:
    `mesg` - String of error messages.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD